---
title: Get Work
slug: get-work
docTags: 
createdAt: 2026-10-08T08:29:29.588Z
---

{
  "id": "XmXXbRLwiwv5a0nalxQET",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://dev1.frontu.com//client/api/v2/works/details",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/works/details"
      }
    ],
    "name": "Get Work",
    "description": "This endpoind allows to retrieve all information about one specific work and query params are used to retreive the one specific client. \n",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "Example",
            "Example with test values"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "guid",
          "type": "string",
          "description": "GUID format entity identifier generated by Frontu."
        },
        {
          "kind": "optional",
          "name": "systemId",
          "type": "string",
          "description": "Entity identifier from external system."
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Returned when successful",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "version",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "title",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "duration",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "suggestedDuration",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "currency",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "vat",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "rate",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "price",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "priceWithVat",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "description",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "standartizedWork",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "",
                "schema": [
                  {
                    "name": "title",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "guid",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "systemId",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  }
                ]
              },
              {
                "name": "object",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "",
                "schema": [
                  {
                    "name": "title",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "serialNumber",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "guid",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "systemId",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  }
                ]
              },
              {
                "name": "task",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "",
                "schema": [
                  {
                    "name": "title",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "guid",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "systemId",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  }
                ]
              },
              {
                "name": "taskTemplate",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "user",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "",
                "schema": [
                  {
                    "name": "title",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "guid",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "systemId",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  }
                ]
              },
              {
                "name": "guid",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "created",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "updated",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "dateOfIntervention",
                "kind": "optional",
                "type": "string",
                "description": "Date of intervention. Falls back to created when not set."
              },
              {
                "name": "startTime",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": ""
              },
              {
                "name": "endTime",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": ""
              },
              {
                "name": "deleted",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "workType",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "systemId",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Entity not found",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "krfxAlHctC1siaFypTjg4",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://dev1.frontu.com//client/api/v2/works/details \\\n     --header 'accept: application/json'"
        },
        {
          "id": "rFZiz3fCPF3Mue0RoA7bz",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/works/details\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "jLiDlScFWaSNXBsGdGIx4",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/works/details\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "mgTLLe90odvURwKvHJGVD",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/works/details\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "krfxAlHctC1siaFypTjg4"
    },
    "results": {
      "languages": [
        {
          "id": "HvO1Ojux7hvrcWYbPQrvE",
          "language": "200",
          "code": "// Returned when successful\n{\n  \"version\": 0,\n  \"title\": \"\",\n  \"duration\": 0,\n  \"suggestedDuration\": 0,\n  \"currency\": \"\",\n  \"vat\": \"\",\n  \"rate\": 0,\n  \"price\": 0,\n  \"priceWithVat\": 0,\n  \"description\": \"\",\n  \"standartizedWork\": {\n    \"title\": \"\",\n    \"guid\": \"\",\n    \"systemId\": \"\"\n  },\n  \"object\": {\n    \"title\": \"\",\n    \"serialNumber\": \"\",\n    \"guid\": \"\",\n    \"systemId\": \"\"\n  },\n  \"task\": {\n    \"title\": \"\",\n    \"guid\": \"\",\n    \"systemId\": \"\"\n  },\n  \"taskTemplate\": \"\",\n  \"user\": {\n    \"title\": \"\",\n    \"guid\": \"\",\n    \"systemId\": \"\"\n  },\n  \"guid\": \"\",\n  \"created\": \"\",\n  \"updated\": \"\",\n  \"dateOfIntervention\": \"\",\n  \"startTime\": \"\",\n  \"endTime\": \"\",\n  \"deleted\": false,\n  \"workType\": \"\",\n  \"systemId\": \"\"\n}"
        },
        {
          "id": "TwnQ4B0YOdTJXyiwSNtla",
          "language": "404",
          "code": "// Entity not found\n"
        }
      ],
      "selectedLanguageId": "HvO1Ojux7hvrcWYbPQrvE"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}